Commit 78819144 authored by Mark Olesen's avatar Mark Olesen

DOC: add hint about scotch gitlab repo and paraview requirements (#52)

- add download hints for -help of various make scripts
parent 348b8cd4
......@@ -431,7 +431,7 @@ you may have additional hurdles to using the newest versions of clang.
|-----------------------|------------------------
| [openmpi][page openmpi] | [download][link openmpi]. ***Some openmpi2/openmpi3 versions exhibit [stability issues](https://github.com/open-mpi/ompi/issues/5375)***
| [adios][page adios] | [repo][repo adios] or [github download][link adios]
| [scotch, ptscotch][page scotch] | [download][link scotch] or [older][older scotch] or [even older][oldest scotch]
| [scotch, ptscotch][page scotch] | [repo][repo scotch] or [download][link scotch] or [older][older scotch] or [even older][oldest scotch]
| [kahip][page kahip] | [download][link kahip] or [older][older kahip]
| [metis][page metis] | [download][link metis]
......@@ -529,9 +529,10 @@ easier to use `grep` and find the relevant pages and links.
[page zfp]: http://computation.llnl.gov/projects/floating-point-compression/zfp-versions
[page scotch]: https://www.labri.fr/perso/pelegrin/scotch/
[oldest scotch]: https://gforge.inria.fr/frs/download.php/file/37622/scotch_6.0.6.tar.gz
[older scotch]: https://gforge.inria.fr/frs/download.php/file/38114/scotch_6.0.8.tar.gz
[repo scotch]: https://gitlab.inria.fr/scotch/scotch
[link scotch]: https://gforge.inria.fr/frs/download.php/file/38187/scotch_6.0.9.tar.gz
[older scotch]: https://gforge.inria.fr/frs/download.php/file/38114/scotch_6.0.8.tar.gz
[oldest scotch]: https://gforge.inria.fr/frs/download.php/file/37622/scotch_6.0.6.tar.gz
[page kahip]: http://algo2.iti.kit.edu/documents/kahip/
[older kahip]: http://algo2.iti.kit.edu/schulz/software_releases/KaHIP_2.00.tar.gz
......
......@@ -18,10 +18,15 @@ is likely adequate for your needs.
### Ubuntu
The full dependency list for building ParaView can be
found from the corresponding [debian/control](https://salsa.debian.org/science-team/paraview/-/blob/master/debian/control)
file.
The following subset may be enough:
The full dependency list for building ParaView can be found from the
corresponding [debian/control][debian control] file.
A ***quick*** way to get these dependencies on to your system is to
use the paraview development package:
```
sudo apt install paraview-dev
```
Depending on your setup, the following subset may also be enough:
```
sudo apt install cmake qt5base-dev qttools5-dev qttools5-dev-tools libqt5opengl5-dev libqt5x11extras5-dev libxt-dev
```
......@@ -29,10 +34,16 @@ sudo apt install cmake qt5base-dev qttools5-dev qttools5-dev-tools libqt5opengl5
### openSUSE
The full dependency list for building ParaView can be
found from the corresponding [rpm spec](https://build.opensuse.org/package/view_file/science/paraview/paraview.spec)
file.
The following subset may be enough:
The full dependency list for building ParaView can be found from the
corresponding [rpm spec][suse spec] file.
A ***quick*** way to get these dependencies on to your system is to
use the paraview development package:
```
sudo zypper install paraview-devel
```
Depending on your setup, the following subset may also be enough:
```
sudo zypper install Mesa-libEGL-devel
sudo zypper install libqt5-qtbase-devel libqt5-qtsvg-devel libqt5-qttools-devel libqt5-qtx11extras
......@@ -43,6 +54,8 @@ sudo zypper install libXt-devel
<!-- Quick links -->
[download ParaView]: https://www.paraview.org/download/
[debian control]: https://salsa.debian.org/science-team/paraview/-/blob/master/debian/control
[suse spec]: https://build.opensuse.org/package/view_file/science/paraview/paraview.spec
<!-- OpenFOAM -->
......@@ -56,4 +69,4 @@ sudo zypper install libXt-devel
[link third-require]: https://develop.openfoam.com/Development/ThirdParty-common/blob/develop/Requirements.md
---
Copyright 2019 OpenCFD Ltd
Copyright 2019-2020 OpenCFD Ltd
......@@ -339,7 +339,8 @@ showDownloadHint()
if [ -f "$WM_THIRD_PARTY_DIR/BUILD.md" ]
then
grep -i "$package" "$WM_THIRD_PARTY_DIR/BUILD.md" | \
grep -E '(http|ftp)' | sed -ne 's/^ *\[.*\]: */ /p'
grep -E '(http|ftp)' | sed -ne 's/^ *\[.*\]: */ /p' | \
uniq
fi
fi
}
......
......@@ -67,6 +67,7 @@ options:
$adiosPACKAGE
USAGE
showDownloadHint ADIOS2
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -70,6 +70,7 @@ options:
prior to running this script.
USAGE
showDownloadHint CCMIO
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -108,6 +108,8 @@ simply specify a 'system' version. For example,
Use gmp-none to disable use of gmp/mpfr (eg, not available)
USAGE
showDownloadHint BOOST
showDownloadHint CGAL
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -53,6 +53,7 @@ options:
${cmakePACKAGE:-'unspecified'}
USAGE
showDownloadHint CMAKE
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -68,6 +68,7 @@ options:
${fftwPACKAGE:-'unspecified FFTW version'}
USAGE
showDownloadHint FFTW
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -78,6 +78,10 @@ options:
${gccPACKAGE:-'unspecified GCC version'}
USAGE
showDownloadHint GCC
showDownloadHint GMP
showDownloadHint MPFR
showDownloadHint MPC
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -51,6 +51,7 @@ options:
$gperftoolsPACKAGE
USAGE
showDownloadHint GPERFTOOLS
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -85,6 +85,7 @@ options:
$kahipPACKAGE
USAGE
showDownloadHint KAHIP
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -73,6 +73,7 @@ options:
${llvmPACKAGE:-'unspecified LLVM version'}
USAGE
showDownloadHint LLVM
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -83,6 +83,7 @@ options:
${metisPACKAGE:-'unspecified metis version'}
USAGE
showDownloadHint METIS
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -51,9 +51,9 @@ options:
$mgridgenPACKAGE
USAGE
# showDownloadHint GRIDGEN
exit 1
}
#------------------------------------------------------------------------------
exportCompiler # Compiler info for CMake/configure
......
......@@ -80,6 +80,7 @@ options:
${mpiPACKAGE:-'unspecified mpich version'}
USAGE
showDownloadHint MPICH
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -84,6 +84,7 @@ The additional configure-options could include, for example,
${0##*/} -- --disable-mcast
USAGE
showDownloadHint MVAPICH
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -60,6 +60,7 @@ options:
${mesaPACKAGE:-'unspecified MESA version'}
USAGE
showDownloadHint MESA
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -82,6 +82,7 @@ options:
${mpiPACKAGE:-'unspecified openmpi version'}
USAGE
showDownloadHint OPENMPI
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -126,6 +126,7 @@ For example,
Or change the \$WM_PROJECT_DIR/etc/config.sh/paraview settings.
USAGE
showDownloadHint PARAVIEW
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -44,6 +44,7 @@ options:
* build $qtTYPE, version ${qtVERSION:-undefined}
USAGE
showDownloadHint QT
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -63,6 +63,7 @@ options:
$scotchPACKAGE
USAGE
showDownloadHint SCOTCH
exit 1
}
#------------------------------------------------------------------------------
......
......@@ -102,6 +102,7 @@ For finer control, the build stages can be selected or deselected individually:
-> \$WM_THIRD_PARTY_DIR/platforms/$WM_ARCH$WM_COMPILER/VTK-$VTK_VERSION$BUILD_SUFFIX
USAGE
# showDownloadHint VTK
exit 1
}
#------------------------------------------------------------------------------
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment